Package Details: clementine-git 1.3.1.r392.g83e860eab-1

Git Clone URL: https://aur.archlinux.org/clementine-git.git (read-only)
Package Base: clementine-git
Description: A modern music player and library organizer
Upstream URL: http://www.clementine-player.org/
Licenses: GPL
Conflicts: clementine
Provides: clementine
Submitter: swiftscythe
Maintainer: JacobHenner
Last Packager: JacobHenner
Votes: 83
Popularity: 0.117964
First Submitted: 2011-07-19 22:38
Last Updated: 2017-11-17 11:12

Dependencies (33)

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

post-factum commented on 2015-04-29 18:32

Consider adding the following command to PKGBUILD (before calling make) to fix crypto++ issue:

===
sed -i 's/crypto++/cryptopp/g' ${srcdir}/Clementine/src/internet/spotify/spotifyblobdownloader.cpp
===

ryuzy commented on 2015-04-29 08:24

I think in src/internet/spotify/spotifyblobdownloader.cpp
#include <crypto++/pkcspad.h>
#include <crypto++/rsa.h>

Should be edited to:
#include <cryptopp/pkcspad.h>
#include <cryptopp/rsa.h>

ryuzy commented on 2015-04-29 08:17

I'm receiving this error:
/tmp/yaourt-tmp-ryuzaki/aur-clementine-git/src/Clementine/src/internet/spotify/spotifyblobdownloader.cpp:42:30: fatal error: crypto++/pkcspad.h: No such file or directory
#include <crypto++/pkcspad.h>
^
compilation terminated.
src/CMakeFiles/clementine_lib.dir/build.make:11347: recipe for target 'src/CMakeFiles/clementine_lib.dir/internet/spotify/spotifyblobdownloader.cpp.o' failed
make[2]: *** [src/CMakeFiles/clementine_lib.dir/internet/spotify/spotifyblobdownloader.cpp.o] Error 1

Am I the only one?

swiftscythe commented on 2015-04-29 07:51

Updated dependencies :)

Chocobozzz commented on 2015-04-29 07:42

Yes QCA is replaced by crypto++

fettouhi commented on 2015-04-28 20:10

Seems like in order to build Clementine from git now you need crypto++ installed.

infernion commented on 2015-04-11 14:26

For add Vkontakte social network plugin need to add « -DENABLE_VK=ON \ » flag to « cmake "../Clementine" \ »

infernion commented on 2015-04-11 14:25

For add Vkontakte social network plugin need to add « -DENABLE_BOX=OFF \ » flag to « cmake "../Clementine" \ »

AlfredoRamos commented on 2015-02-20 22:22

@drog you need to install gst-plugins-bad, see optional dependencies.

drog commented on 2015-02-19 14:02

when i run clementine in terminal throws the next warning:
(gst-plugin-scanner:5419): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-1.0/libgstkate.so': libkate.so.1: cannot open shared object file: No such file or directory
Maybe libkate must be a dependency (?)